## afio 2.4.2

=== Makefile ===
SHELL=/bin/sh
##
##  I wrote this Makefile, based on comments in the source.  -rich $alz.
##  Define INDEX to use index() in place of strchr() (v7, BSD).
#1	= -UINDEX
##  Define MEMCPY when an efficient memcpy() exists (SysV).
2	= -DMEMCPY
##  Define MKDIR when a mkdir() system call is present (4.2BSD, SysVr3).
3	= -DMKDIR
##  Define NOVOID if your compiler doesn't like void casts.
#4	= -UNOVOID
##  Define SYSTIME to use <sys/time.h> rather than <time.h> (4.2BSD).
#5	= -USYSTIME
##  Define VOIDFIX to allow pointers to functions returning void (non-PCC).
6	= -DVOIDFIX
##  Define CTC3B2 to support AT&T 3B2 streaming cartridge tape.
#7	= -UCTC3B2
##  Define HAVEFCNTL if you have <fcntl.h>
8	= -DHAVEFCNTL
##  Define MYTEMPNAM if you don't have tempnam()
#a	= -UMYTEMPNAM
##  Define UNIXPC if you are on a 3b1, 7300, etc.
##	(problem is you can't write to a floppy from shared memory)
#b	= -UUNIXPC
##  Define HAVEMEMCMP if you have memcmp otherwise assumes bcmp
c	= -DHAVEMEMCMP
##  Define DEFFMTCMD to being how to format the media you use the most
##		This is the DEFault FoRMat CoManD. 
d	= -DDEFFMTCMD='"fdformat /dev/fd0H1440"'
##  Define LONGZFILE if you want .Z to be tagged on the end of a 14 char
##	file name (or longer for BSD) in the archive when the file is compressed
#e	= -DLONGZFILE

##  Define PRG_COMPRESS to get something other than `gzip'.
# you need to edit compfile.c (-G option) if you change this line.
f	= -DPRG_COMPRESS='"gzip"'

## Define HAVEFNMATCH if you want to use the gnu fnmatch() routine for
# -y -Y -w -W matching.
# If it is not defined, a primitive replacement match routine is used that
# only supports patterns of the form "cccc" and "cccc*".  Make sure that
# you change the manual page in this case.

g	= -DHAVEFNMATCH

# fnmatch() is in the gnu C library, so it is directly available on
# Linux.  If your system (e.g. SCO) does not have the gnu C library,
# unpack the archive gnu.fnmatch.tar.gz and uncomment the following
# two lines:

#M	 = fnmatch.o
#I	 = -I.

# Please read the COPYING.LIB file in this archive if you plan to
# redistribute afio executables with this library linked in.

CFLAGS1 = -s -O2 -fomit-frame-pointer
#CFLAGS1 =  -fomit-frame-pointer
#CFLAGS1 = -Wall  -fomit-frame-pointer

CC=gcc


CFLAGS = ${CFLAGS1} $1 $2 $3 $4 $5 $6 $7 $8 $9 $a $b $c $d $e $f $g $I
LDFLAGS = -s

afio : afio.o compfile.o exten.o match.o $M
	${CC} ${LDFLAGS} afio.o compfile.o exten.o match.o $M -o afio

clean:
	rm -f *.o afio

install: afio
	cp afio /usr/bin
	cp afio.1 /usr/man/man1

tarfile: clean
	{ cd .. ; tar zcvf /root/src/tbackup/afio.2.4.2.tgz afio.2.4.2 }

afio.o : afio.h patchlevel.h
compfile.o : afio.h
exten.o : afio.h
match.o : afio.h

## afio 2.4.5

=== Makefile ===
--- 
+++ 
@@ -54,9 +54,10 @@
 # Please read the COPYING.LIB file in this archive if you plan to
 # redistribute afio executables with this library linked in.
 
-CFLAGS1 = -s -O2 -fomit-frame-pointer
-#CFLAGS1 =  -fomit-frame-pointer
-#CFLAGS1 = -Wall  -fomit-frame-pointer
+#CFLAGS1 = -ggdb
+CFLAGS1 = -Wformat -g -O2 -fomit-frame-pointer
+#CFLAGS1 = -Wformat -g -fomit-frame-pointer
+
 
 CC=gcc
 
@@ -74,8 +75,6 @@
 	cp afio /usr/bin
 	cp afio.1 /usr/man/man1
 
-tarfile: clean
-	{ cd .. ; tar zcvf /root/src/tbackup/afio.2.4.2.tgz afio.2.4.2 }
 
 afio.o : afio.h patchlevel.h
 compfile.o : afio.h

## afio 2.4.7

=== Makefile ===
--- 
+++ 
@@ -55,15 +55,15 @@
 # redistribute afio executables with this library linked in.
 
 #CFLAGS1 = -ggdb
-CFLAGS1 = -Wformat -g -O2 -fomit-frame-pointer
-#CFLAGS1 = -Wformat -g -fomit-frame-pointer
+#CFLAGS1 = -Wall -s -g -O2 -fomit-frame-pointer
+CFLAGS1 = -Wall -O2 -fomit-frame-pointer
 
 
 CC=gcc
 
 
 CFLAGS = ${CFLAGS1} $1 $2 $3 $4 $5 $6 $7 $8 $9 $a $b $c $d $e $f $g $I
-LDFLAGS = -s
+LDFLAGS =
 
 afio : afio.o compfile.o exten.o match.o $M
 	${CC} ${LDFLAGS} afio.o compfile.o exten.o match.o $M -o afio

## afio 2.5.1.20120205+git0c14fb9

=== debian/changelog ===
afio (2.5.1.20120205+git0c14fb9-1) unstable; urgency=low

  * New maintainer (Closes: #653497).
  * New upstream release
    - Remove source code patches. Included upream.
    - Move package to archive area non-free due to license.
      See bug report for details about DFSG discussion (Closes: #509287).
  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Update to debhelper 9, remove dpatch.
    - (Section) Change from main "utils" to "non-free/utils".
    - (Standards-Version): Update to 3.9.3.
    - (Vcs-*): new headers.
  * debian/copyright
    - Upate to Format 1.0.
  * debian/{docs,manpages,install}
    - New files.
  * debian/patches
    - (10): New. Support user CFLAGS directly (hardening support).
  * debian/README.Debian
    - Delete; not needed for dpatch any more.
  * debian/rules
    - Update to dh(1).
    - Use hardened CFLAGS (release goal).
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * debian/watch
    - Disable. Code is now only in upstream Git.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 31 Jul 2012 08:39:40 +0300

afio (2.5-6) unstable; urgency=low

  * Added Homepage field in debina/control (Closes: #615186)
  * Orphan package

 -- Erik Schanze <eriks@debian.org>  Wed, 28 Dec 2011 22:07:03 +0100

afio (2.5-5) unstable; urgency=low

  * debian/rules: Added handling of DEB_BUILD_OPTIONS (Closes: #436378)
    - added 25_makefile_cflags.dpatch
  * debian/rules: fixed clean rule (lintian warning)
  * debian/copyright: fixed FSF address (lintian warning)

 -- Erik Schanze <eriks@debian.org>  Sat, 11 Aug 2007 22:22:38 +0200

afio (2.5-4) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.7.2
    + Added homepage
    + Updated maintainers email address
  * Updated debian/watch file to version 3
  * Added 15_fix_compile_warnings.dpatch to fix some compile warnings

 -- Erik Schanze <eriks@debian.org>  Sat, 25 Nov 2006 23:34:23 +0100

afio (2.5-3) unstable; urgency=low

  * New maintainer
  * cleaned up debian/copyright for better reading, updated download URL
  * debian/control: set Standards-Version to 3.6.1
  * removed patch-* files from debian/ to save space
  * Added dpatch to Build-Depends
  * Put previous fix of bug 246044 to patch file 05_variable_msg_length.dpatch
    but changes malloc() call to afio's memget() for error handling
  * Added patch 10_afio_nullbyte_globbing.dpatch:
    - brings nullbyte separator for filelists and missing possibility to
      disable globbing (Closes: #265879)
  * Added patch 20_manpage.dpatch:
    - added .ogg extention to list "will not compressed" (Closes: #280201)
    - removed additional line in afio.1 (Closes: #289107)
    - added explaination on option -0 and new option -7 (for bug #265879)
  * Increased debhelper compat level to 4
  * Added watch file for DEHS
  * Description line now begins lowercase (fixes lintian warning)

 -- Erik Schanze <schanzi_@gmx.de>  Sat, 25 Jan 2005 22:36:29 +0100

afio (2.5-2) unstable; urgency=low

  * afio.c, afio.1: Applied upstream patch by Koen to address fixed
    buffer size, and documentation, for -H argument (Closes: #246044)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 28 Apr 2004 21:53:13 -0500

afio (2.5-1) unstable; urgency=low

  * New upstream version released this morning
  * debian/rules: Corrected test for 'make regtest2gb'

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 21 Dec 2003 09:12:16 -0600

afio (2.4.8beta1-1) unstable; urgency=low

  * New upstream beta release
  * debian/control: Increased Standards-Version to 3.6.1.0
  * debian/rules: Ensure 'make check' is run as a normal user as fakeroot
    interferes with the two upstream regression tests
  * debian/rules: Ensure that the `make check' command 'make regtest2gb'
    is executed only on i386, ia64 and powerpc

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 15 Dec 2003 19:20:48 -0600

afio (2.4.7.9beta4-1) unstable; urgency=low

  * New upstream beta release, also announced on freshmeat.net
  * debian/rules: Comment our simple test routines out as upstream has
    creatting a proper regression test framework

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  4 Dec 2002 19:39:03 -0600

afio (2.4.7.8beta9-1) unstable; urgency=low

  * New upstream beta release
  * debian/rules: Added new targets 'make regtest' and 'make regtest2gb'
    [ The 2gb regression test only makes sense on recent 2.4.* kernels,
      we will see how the build daemons fare. Diskspace may be an issue. ]
  * Removed debian/patch-9_2.4.8.beta from previous Debian release as
    this beta release encompasses it. No need to add 40kb to the diff.

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  2 Dec 2002 20:29:29 -0600

afio (2.4.7-8) unstable; urgency=low

  * Applied new upstream patch by Koen, applied against stock 2.4.7, which
    consolidates all the previous 2gb patches.

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Nov 2002 14:50:36 -0600

afio (2.4.7-7) unstable; urgency=low

  * Applied new upstream patch by Koen which consolidates and extends
    some of the changes Stephen made in the 2.4.7-6 patches.
  * debian/rules: Doh, test target also called in binary-arch

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  3 Aug 2002 15:14:26 -0500

afio (2.4.7-6) unstable; urgency=low

  * afio.c: Applied patches by Stephen van Egmond <svanegmond@tinyplanet.ca>
    to correct afio on powerpc; this patch supersedes the one in #144986
    and attempts to also correct all -Wall issues (Closes: #153948)
  * Makefile: Following discussion with Koen and Stephen, undo the patch
    of -4 and -4 on powerpc (using conditional statements) as this seems
    to lead to archive corruption on 64bit powerpc system.
  * debian/rules: Added 'test' target which runs afio on its own sources
    and verifies the output -- this is a simple defensive matter as we
    recently learned about some problems with endianness.

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  1 Aug 2002 21:36:56 -0500



=== debian/control ===
Source: afio
Section: non-free/utils
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/afio.git
Vcs-Git: git://git.debian.org/git/collab-maint/afio.git
Homepage: http://freshmeat.net/projects/afio

Package: afio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: archive file manipulation program
 Afio manipulates groups of files, copying them within or between
 filesystems and an afio archive.
 .
 Afio archives are portable as they contain only ASCII-formatted header
 information. Afio makes cpio-format archives.  Afio deals somewhat
 gracefully with input data corruption.  Afio supports multi-volume
 archives during interactive operation.  Afio can make compressed
 archives that are much safer than compressed tar or cpio archives.
 .
 Afio is best used as an `archive engine' in a backup script.

## afio 2.5.1.20121112+git897262d

=== debian/changelog ===
afio (2.5.1.20121112+git897262d-1) unstable; urgency=low

  * New upstream release
    - Fix "output with null-terminated inputs" (Closes: #420654).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 22 Nov 2012 07:40:54 +0200

afio (2.5.1.20120925+git822904b-1) unstable; urgency=low

  * New upstream release
    - Fix "fails with ASX no fsname for this name" (Closes: 686613).
  * debian/control
    - (Standards-Version): Update to 3.9.4.
  * debian/patches
    - Remove directory; CPPFLAGS patch accepted upstream.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 25 Sep 2012 23:54:25 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=collab-maint/afio.git
 Vcs-Git: git://git.debian.org/git/collab-maint/afio.git
 Homepage: http://freshmeat.net/projects/afio

## afio 2.5.1.20130626%2Bgite266635

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.4
-Vcs-Browser: http://git.debian.org/?p=collab-maint/afio.git
-Vcs-Git: git://git.debian.org/git/collab-maint/afio.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/afio.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/afio.git
 Homepage: http://freshmeat.net/projects/afio
 
 Package: afio

## afio 2.5.1.20130626+gite266635

=== debian/changelog ===
afio (2.5.1.20130626+gite266635-1) unstable; urgency=low

  * New upstream release.
    - Fix verification against filesystem does not work (Closes: #565202).
      Improve -r option using stat().
  * debian/control
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update year.
    - Update upstream email addresses.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 27 Jun 2013 13:51:18 +0300

## afio 2.5.1.20160103+gitc8e4317

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 SHELL=/bin/sh
+##
+##  See the INSTALLATION file for quick installation instructions.
 ##
 ##  I wrote this Makefile, based on comments in the source.  -rich $alz.
 ##  Define INDEX to use index() in place of strchr() (v7, BSD).
@@ -25,11 +27,15 @@
 ##  Define HAVEMEMCMP if you have memcmp otherwise assumes bcmp
 c	= -DHAVEMEMCMP
 ##  Define DEFFMTCMD to being how to format the media you use the most
-##		This is the DEFault FoRMat CoManD. 
+##		This is the DEFault FoRMat CoManD.
 d	= -DDEFFMTCMD='"fdformat /dev/fd0H1440"'
 ##  Define LONGZFILE if you want .Z to be tagged on the end of a 14 char
 ##	file name (or longer for BSD) in the archive when the file is compressed
 #e	= -DLONGZFILE
+
+##  Define HAVE_LCHOWN is the system has an lchown call (like chown but does
+##  not follow symlinks)
+e2      = -DHAVE_LCHOWN
 
 ##  Define PRG_COMPRESS to get something other than `gzip'.
 # you need to edit compfile.c (-G option) if you change this line.
@@ -54,30 +60,59 @@
 # Please read the COPYING.LIB file in this archive if you plan to
 # redistribute afio executables with this library linked in.
 
-#CFLAGS1 = -ggdb
-#CFLAGS1 = -Wall -s -g -O2 -fomit-frame-pointer
-CFLAGS1 = -Wall -O2 -fomit-frame-pointer
+#uncomment one of the two lines below to
+#get the normal or large file compile environment
+# afio will work when compiled in both environments, but on old or non-linux
+# systems the large file compile environment itself might be buggy or beta.
+#LARGEFILEFLAGS=
+LARGEFILEFLAGS=-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
 
+# even more warnings flags..
+MW=-Wformat -Werror=format-security -Wall
+#MW=-Wtraditional -Wcast-qual -Wcast-align -Wconversion -pedantic -Wlong-long -Wimplicit -Wuninitialized -W -Wshadow -Wsign-compare -Wstrict-prototypes -Wmissing-declarations
+
+CFLAGS1 = -Wall -Wstrict-prototypes -s -O2 -fomit-frame-pointer $(LARGEFILEFLAGS) $(MW)
 
 CC=gcc
 
-
-CFLAGS = ${CFLAGS1} $1 $2 $3 $4 $5 $6 $7 $8 $9 $a $b $c $d $e $f $g $I
-LDFLAGS =
+# also using contents of usin CPPFLAGS, CFLAGS, LDFLAGS out of environment
+# variables, if they exist
+CFLAGS += $(CFLAGS1) $1 $2 $3 $4 $5 $6 $7 $8 $9 $a $b $c $d $e $(e2) $f $g $I
+LDFLAGS +=
+CPPFLAGS +=
 
 afio : afio.o compfile.o exten.o match.o $M
-	${CC} ${LDFLAGS} afio.o compfile.o exten.o match.o $M -o afio
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) \
+	afio.o compfile.o exten.o match.o $M -o afio
 
 clean:
 	rm -f *.o afio
+	rm -f regtest/cmpstat regtest/makesparse
+	rm -f regtest/statsize regtest/statsize64
+	cd regtest; /bin/sh regtest.clean
 
 install: afio
-	cp afio /usr/bin
-	cp afio.1 /usr/man/man1
+	cp afio /usr/local/bin
+	cp afio.1 /usr/share/man/man1
+
+# generate default list of -E extensions from manpage
+# note: on sun, I had to change awk command below to nawk or gawk
+# to get it to work.
+exten_default.h : afio.1
+		awk -f exten_make.awk afio.1 >exten_default.h
 
 
 afio.o : afio.h patchlevel.h
 compfile.o : afio.h
-exten.o : afio.h
+exten.o : afio.h exten_default.h
 match.o : afio.h
 
+regtest: regtestx
+
+regtestx: afio
+	cd regtest; make; rm cmpstat
+
+regtest2gb: regtest2gbx
+
+regtest2gbx: afio
+	cd regtest; make 2gb

=== regtest/Makefile ===
CC=gcc

all: cmpstat
	 bash ./regtest

cmpstat: cmpstat.c
	gcc -o cmpstat cmpstat.c

2gb:
	gcc -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE makesparse.c   -o makesparse
	bash  ./regtest2gb

sizeof:
	gcc statsize.c   -o statsize
	gcc -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE statsize.c   -o statsize64
	echo normal compile env:
	./statsize
	echo large file compile env:
	./statsize64
	rm statsize statsize64

=== debian/changelog ===
afio (2.5.1.20160103+gitc8e4317-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #920069)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: Changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added the field Rules-Requires-Root: binary-targets.
      - Standards-Version: bumped to 4.4.1 (no changes needed)
      - Switch VCS URLs to salsa.debian.org
  * debian/copyright: updated years and rights.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Mon, 30 Dec 2019 21:50:01 -0300

afio (2.5.1.20160103+gitc8e4317-1) unstable; urgency=medium

  * New upstream snapshot release.
  * debian/compat
    - Update to 9.
  * debian/control
    - (Homepage): Update.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - (Files: *): Add Copyright years.
    - Update URLs.
  * debian/patches
    - (10, 20): Correct spelling. Forwarded upstream.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 21 Oct 2016 10:20:48 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: afio
 Section: non-free/utils
 Priority: optional
-Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/afio.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/afio.git
-Homepage: http://freshmeat.net/projects/afio
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.1
+Rules-Requires-Root: binary-targets
+Vcs-Git: https://salsa.debian.org/debian/afio.git
+Vcs-Browser: https://salsa.debian.org/debian/afio
+Homepage: https://github.com/kholtman/afio
 
 Package: afio
 Architecture: any

=== debian/watch ===
version=3
# Old: http://www.ibiblio.org/pub/Linux/system/backup/afio-(.*)(?:\.tar(?:\.gz|\.bz2)?|\.tgz) debian uupdate
# New one is only in Git.
# https://github.com/kholtman/afio/downloads

## afio 2.5.2

=== Makefile ===
--- 
+++ 
@@ -69,9 +69,12 @@
 
 # even more warnings flags..
 MW=-Wformat -Werror=format-security -Wall
+
+#the set of warning flags below can be uncommented to get lots of places where
+#code can be reviewed manually
 #MW=-Wtraditional -Wcast-qual -Wcast-align -Wconversion -pedantic -Wlong-long -Wimplicit -Wuninitialized -W -Wshadow -Wsign-compare -Wstrict-prototypes -Wmissing-declarations
 
-CFLAGS1 = -Wall -Wstrict-prototypes -s -O2 -fomit-frame-pointer $(LARGEFILEFLAGS) $(MW)
+CFLAGS1 = -Wall -Wstrict-prototypes -s -O2 -fomit-frame-pointer -Wno-unused-result $(LARGEFILEFLAGS) $(MW)
 
 CC=gcc

=== debian/changelog ===
afio (2.5.2-3) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * d/control: Build-Depends: + cpio
  * add d/patches/fix-Makefile-test-propagate-errors.patch
    let make regtest propagate errors
  Thanks Adam Borowski
 -- xiao sheng wen <atzlinux@sina.com>  Wed, 13 Oct 2021 11:04:23 +0800

afio (2.5.2-2) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * update d/patches, add the Forwarded URL
  * delete d/dirs, update d/install
  * d/watch: update to version 4, update the upstream URL
  * d/copyright: add xiao sheng wen for debian dir
  * d/control:
      - set Rules-Requires-Root: no
      - Bump Standards-Version: 4.6.0
  * d/rules:
   - delete override_dh_dwz, not need
   - delete run-test, add override_dh_auto_test
   - add nocheck filter for override_dh_auto_test
   - delete DEFS, DEB_CFLAGS_MAINT_APPEND, DEB_LDFLAGS_MAINT_APPEND, not used

 -- xiao sheng wen <atzlinux@sina.com>  Sat, 09 Oct 2021 16:52:11 +0800

afio (2.5.2-1) unstable; urgency=medium

  [ 肖盛文 ]
  * New upstream version 2.5.2
  * add debian/gbp.conf
  * update patch files for new upstream 2.5.2
  * Set upstream metadata fields: Repository Repository-Browse

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 07 May 2020 19:17:31 +0800

afio (2.5.1.20160103+gitc8e4317-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Fix day-of-week for changelog entry 2.5-3.

  [ 肖盛文 ]
  * spelling-error-in-manpage usr/share/man/man1/afio.1.gz chunck chunk
  * debian/rules:
      - + dh_dwz -Xdebian/afio/bin/afio
      - delete --as-needed in export DEB_LDFLAGS_MAINT_APPEND
  * debian/control:
      - Bumped Standards-Version: 4.5.0
      - Bumped debhelper-compat 13
      - change Section from non-free/utils to utils
      - New maintainer (Closes: #920069)
  * debian/watch:
      add https://github.com/kholtman/afio/archive/v(.*).tar.gz

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 06 May 2020 19:03:55 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: afio
-Section: non-free/utils
+Section: utils
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
-Rules-Requires-Root: binary-targets
+Maintainer: xiao sheng wen <atzlinux@sina.com>
+Build-Depends: debhelper-compat (= 13),
+ cpio,
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/afio.git
 Vcs-Browser: https://salsa.debian.org/debian/afio
 Homepage: https://github.com/kholtman/afio

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_build:
	# save original (due to diff)
	cp exten_default.h exten_default_orig.h
	dh_auto_build

override_dh_clean:
	# restore original exten_default.h
	if test -e exten_default_orig.h; then \
	    mv exten_default_orig.h exten_default.h; \
	fi
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	LANG=C;$(MAKE) regtest
endif

override_dh_auto_install:
	# Disabled. See debian/install

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

%:
	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
             https://github.com/kholtman/afio/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
